<?php
if (!defined('webid')) {
    exit();
}
?>
<h3 style="border-bottom: 1px dotted #cccccc; color: #1c62b9; text-shadow: 0 1px 0 #fafafa;">Конкурсы</h3>
Зеленым подствечиваются те пользователи, которые набрали минимум и считаются участниками конкурса, имеющие право на получение приза!<br />
<br>

<div style="text-align: center; color: #4682B4;"><a style="color: #4682B4;" href="/konkurs" ><u>Текущие конкурсы</u></a>&nbsp;|&nbsp;<a style="color: #4682B4;" href="/konkurs-end" ><u>Завершеныве конкурсы</u></a></div>

<br>
<h4 style="border-bottom: 1px dotted #cccccc; color: #1c62b9; text-shadow: 0 1px 0 #fafafa; text-align: right;">Конкурс рекламодателя</h4>
<?

$prov_kon = mysql_query("SELECT id, name, description, start_date, end_date, min_type, price1, price2, price3 FROM konkurs WHERE end_date > '".date('d.m.Y', time())."' AND type = 1 ORDER by id DESC");
if (mysql_num_rows($prov_kon) > 0) {
    $prov_row = mysql_fetch_array($prov_kon);
    $end_date = explode('.', $prov_row['end_date']);
    $end_date = mktime(0, 0, 0, $end_date[1], $end_date[0], $end_date[2]);
    if (time() < $end_date) {
        ?>
        <div style="margin: 10px; padding: 5px; background: #fafafa;"><font color="#1c62b9"><?=$prov_row['name']?></font><br /><?=$prov_row['description']?> Минимум для участия и получения приза составляет <?=$prov_row['min_type'] . ' ' . $sitevalname?><br /><br /><div align="right"><font color="#000000">время проведения с <b><?=$prov_row['start_date']?></b> по <b><?=$prov_row['end_date']?></b></font></div><br /><br /><h4 style="color: #94AD24;">Призы</h4>I-e место <b><?=$prov_row['price1'] . ' ' . $sitevalname?></b>&nbsp;&nbsp;&nbsp;II-e место <b><?=$prov_row['price2'] . ' ' . $sitevalname?></b>&nbsp;&nbsp;&nbsp;III-e место <b><?=$prov_row['price3'] . ' ' . $sitevalname?></b></div>
        <h4 style="color: #94AD24;">Лидеры конкурса</h4>
        <table width="100%" border="0" cellpadding="0" cellspacing="1" class="otab">
            <thead>
                <th style="background: #ebebeb;" width="60">Место</th>
                <th style="background: #ebebeb;">Логин</th>
                <th style="background: #ebebeb;" width="120">Очков</th>
            </thead>
            <?
            $lider_kon = mysql_query("SELECT * FROM konkurs_temp WHERE summ >= '$prov_row[min_type]' and type = 1 and idkonkurs	= ".$prov_row['id']."  ORDER BY summ DESC");
            if (mysql_num_rows($lider_kon) > 0) {
                for ($i = 1; $i <= mysql_num_rows($lider_kon); $i++) {
                    $lider_row = mysql_fetch_array($lider_kon);
                    if ($i <= 3) {
                        $tabclass = 'style="background:#E0F1AA; color:#616C21"';
                    } else {
                        $tabclass = 'style="background:#ffffff; color:#1c62b9"';
                    }
                    $lider_username = mysql_fetch_array(mysql_query("SELECT username FROM tb_users WHERE id = '$lider_row[iduser]'"));
                    ?>
                    <tr>
                        <td class="rt" align="center" <?=$tabclass?>><?=$i?></td>
                        <td class="rt" align="left" <?=$tabclass?>><?=$lider_username['username']?></td>
                        <td class="rt" align="center" <?=$tabclass?>><?=$lider_row['summ']?></td>
                    </tr>
                    <?
                }
            }
            ?>
        </table>
        <?
    } else {
        echo '<center><h4 style="color:#800000; font-weight:bold">Активных конкурсов нет</h4></center>';
    }
} else {
    echo '<center><h4 style="color:#800000; font-weight:bold">Активных конкурсов нет</h4></center>';
}
?>
<br />
<h4 style="border-bottom: 1px dotted #cccccc; color: #1c62b9; text-shadow: 0 1px 0 #fafafa; text-align: right;">Конкурс пользователя</h4>
<?
$prov_kon = mysql_query("SELECT id, name, description, start_date, end_date, min_type, price1, price2, price3 FROM konkurs WHERE end_date > '".date('d.m.Y', time())."' AND type = 2 ORDER by id DESC");
if (mysql_num_rows($prov_kon) > 0) {
    $prov_row = mysql_fetch_array($prov_kon);
    $end_date = explode('.', $prov_row['end_date']);
    $end_date = mktime(0, 0, 0, $end_date[1], $end_date[0], $end_date[2]);
    if (time() < $end_date) {
        ?>
        <div style="margin: 10px; padding: 5px; background: #fafafa;"><font color="#1c62b9"><?=$prov_row['name']?></font><br /><?=$prov_row['description']?> Минимум для участия и получения приза составляет <?=$prov_row['min_type']?> рефералов<br /><br /><div align="right"><font color="#000000">время проведения с <b><?=$prov_row['start_date']?></b> по <b><?=$prov_row['end_date']?></b></font></div><br /><br /><h4 style="color: #94AD24;">Призы</h4>I-e место <b><?=$prov_row['price1'] . ' ' . $sitevalname?></b>&nbsp;&nbsp;&nbsp;II-e место <b><?=$prov_row['price2'] . ' ' . $sitevalname?></b>&nbsp;&nbsp;&nbsp;III-e место <b><?=$prov_row['price3'] . ' ' . $sitevalname?></b></div>
        <h4 style="color: #94AD24;">Лидеры конкурса</h4>
        <table width="100%" border="0" cellpadding="0" cellspacing="1" class="otab">
            <thead>
                <th style="background: #ebebeb;" width="60">Место</th>
                <th style="background: #ebebeb;">Логин</th>
                <th style="background: #ebebeb;" width="120">Очков</th>
            </thead>
            <?
            $lider_kon = mysql_query("SELECT * FROM konkurs_temp WHERE summ >= '$prov_row[min_type]' and type = 2 and idkonkurs	= ".$prov_row['id']." ORDER BY summ DESC");
            if (mysql_num_rows($lider_kon) > 0) {
                for ($i = 1; $i <= mysql_num_rows($lider_kon); $i++) {
                    $lider_row = mysql_fetch_array($lider_kon);
                    if ($i <= 3) {
                        $tabclass = 'style="background:#E0F1AA; color:#616C21"';
                    } else {
                        $tabclass = 'style="background:#ffffff; color:#1c62b9"';
                    }
                    $lider_username = mysql_fetch_array(mysql_query("SELECT username FROM tb_users WHERE id = '$lider_row[iduser]'"));
                    ?>
                    <tr>
                        <td class="rt" align="center" <?=$tabclass?>><?=$i?></td>
                        <td class="rt" align="left" <?=$tabclass?>><?=$lider_username['username']?></td>
                        <td class="rt" align="center" <?=$tabclass?>><?=$lider_row['summ']?></td>
                    </tr>
                    <?
                }
            }
            ?>
        </table>
        <?
    } else {
        echo '<center><h4 style="color:#800000; font-weight:bold">Активных конкурсов нет</h4></center>';
    }
} else {
    echo '<center><h4 style="color:#800000; font-weight:bold">Активных конкурсов нет</h4></center>';
}
?>